ApiEnableSentryHaArgs (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiEnableSentryHaArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiEnableSentryHaArgs

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiEnableSentryHaArgs
      extends Object

  Arguments used for enable Sentry HA command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiEnableSentryHaArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getNewSentryHostId()` Id of host on which new Sentry Server role will be added.
    `String` | `getNewSentryRoleName()` Name of the new Sentry Server role to be created.
    `ApiSimpleRollingRestartClusterArgs` | `getRrcArgs()`
    `String` | `getZkServiceName()` Name of the ZooKeeper service that will be used for Sentry HA.
    `int` | `hashCode()`
    `ApiEnableSentryHaArgs` | `newSentryHostId(String newSentryHostId)`
    `ApiEnableSentryHaArgs` | `newSentryRoleName(String newSentryRoleName)`
    `ApiEnableSentryHaArgs` | `rrcArgs(ApiSimpleRollingRestartClusterArgs rrcArgs)`
    `void` | `setNewSentryHostId(String newSentryHostId)`
    `void` | `setNewSentryRoleName(String newSentryRoleName)`
    `void` | `setRrcArgs(ApiSimpleRollingRestartClusterArgs rrcArgs)`
    `void` | `setZkServiceName(String zkServiceName)`
    `String` | `toString()`
    `ApiEnableSentryHaArgs` | `zkServiceName(String zkServiceName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiEnableSentryHaArgs

          public ApiEnableSentryHaArgs()

  - ### Method Detail

    - #### newSentryHostId

          public ApiEnableSentryHaArgs newSentryHostId(String newSentryHostId)

    - #### getNewSentryHostId

          public String getNewSentryHostId()

      Id of host on which new Sentry Server role will be added.
      Returns:
        newSentryHostId

    - #### setNewSentryHostId

          public void setNewSentryHostId(String newSentryHostId)

    - #### newSentryRoleName

          public ApiEnableSentryHaArgs newSentryRoleName(String newSentryRoleName)

    - #### getNewSentryRoleName

          public String getNewSentryRoleName()

      Name of the new Sentry Server role to be created. This is an optional argument.
      Returns:
        newSentryRoleName

    - #### setNewSentryRoleName

          public void setNewSentryRoleName(String newSentryRoleName)

    - #### zkServiceName

          public ApiEnableSentryHaArgs zkServiceName(String zkServiceName)

    - #### getZkServiceName

          public String getZkServiceName()

      Name of the ZooKeeper service that will be used for Sentry HA. This is an optional parameter if the Sentry to ZooKeeper dependency is already set in CM.
      Returns:
        zkServiceName

    - #### setZkServiceName

          public void setZkServiceName(String zkServiceName)

    - #### rrcArgs

          public ApiEnableSentryHaArgs rrcArgs(ApiSimpleRollingRestartClusterArgs rrcArgs)

    - #### getRrcArgs

          public ApiSimpleRollingRestartClusterArgs getRrcArgs()

      Returns:
        rrcArgs

    - #### setRrcArgs

          public void setRrcArgs(ApiSimpleRollingRestartClusterArgs rrcArgs)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.